UpdateCrossConnectLetterOfAuthorityDetails

class oci.core.models.UpdateCrossConnectLetterOfAuthorityDetails(**kwargs)

Bases: object

Update the details of the Letter of Authority associated with a cross-connect. Upon successful alterations a new updated copy of the LOA will be attached to the cross-connect.

Methods

__init__(**kwargs) Initializes a new UpdateCrossConnectLetterOfAuthorityDetails object with values from keyword arguments.

Attributes

authorized_agent Gets the authorized_agent of this UpdateCrossConnectLetterOfAuthorityDetails.
should_extend Gets the should_extend of this UpdateCrossConnectLetterOfAuthorityDetails.
should_remove_authorized_agent Gets the should_remove_authorized_agent of this UpdateCrossConnectLetterOfAuthorityDetails.
__init__(**kwargs)

Initializes a new UpdateCrossConnectLetterOfAuthorityDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters:
  • should_extend (bool) – The value to assign to the should_extend property of this UpdateCrossConnectLetterOfAuthorityDetails.
  • should_remove_authorized_agent (bool) – The value to assign to the should_remove_authorized_agent property of this UpdateCrossConnectLetterOfAuthorityDetails.
  • authorized_agent (str) – The value to assign to the authorized_agent property of this UpdateCrossConnectLetterOfAuthorityDetails.
authorized_agent

Gets the authorized_agent of this UpdateCrossConnectLetterOfAuthorityDetails. Name of a customer authorized agent which will be appended to the LOA as the field ‘Authorized Agent’. If the field is left un-set in the request body, no changes will be done on the LOA for Authorized Agent.

Returns:The authorized_agent of this UpdateCrossConnectLetterOfAuthorityDetails.
Return type:str
should_extend

Gets the should_extend of this UpdateCrossConnectLetterOfAuthorityDetails. A boolean flag to indicate whether to extend the expiry of the associated LOA with the provided cross-connect. If un-set or set to false, it does not alter the existing expiry of the LOA. On extension an updated copy of the LOA will be provided with the new expiry date. An LOA cannot be extended more than 3 times.

Returns:The should_extend of this UpdateCrossConnectLetterOfAuthorityDetails.
Return type:bool
should_remove_authorized_agent

Gets the should_remove_authorized_agent of this UpdateCrossConnectLetterOfAuthorityDetails. A boolean flag to indicate whether to remove an attached Authorized Agent to the LOA. If this boolean flag is set, an attempt will be made to remove the attached authorized agent to the LOA, if any, and any value given in the field ‘authorizedAgent’ will be ignored. In case, of updating an existing Authorized Agent, keep this flag unset and set the expected value in ‘authorizedAgent’.

Returns:The should_remove_authorized_agent of this UpdateCrossConnectLetterOfAuthorityDetails.
Return type:bool